Package twisted :: Package web :: Module client :: Class HTTPClientFactory

[show private | hide private]
[frames | no frames]

## Class HTTPClientFactory

      Factory --+
                |
    ClientFactory --+
                    |
                   HTTPClientFactory

Known Subclasses:
  `HTTPDownloader`

Method Summary
| `__init__(self, host, url, method, postdata, headers, agent)`
| ``buildProtocol`(self, addr)` Create an instance of a subclass of Protocol. (inherited from `Factory`)
| `clientConnectionFailed(self, _, reason)`
| ``clientConnectionLost`(self, connector, reason)` Called when a connection is lost. (inherited from `ClientFactory`)
| ``doStart`(self)` Make sure startFactory is called. (inherited from `Factory`)
| ``doStop`(self)` Make sure stopFactory is called. (inherited from `Factory`)
| `gotHeaders(self, headers)`
| `noPage(self, reason)`
| `page(self, page)`
| ``startedConnecting`(self, connector)` Called when a connection has been started. (inherited from `ClientFactory`)
| ``startFactory`(self)` This will be called before I begin listening on a Port or Connector. (inherited from `Factory`)
| ``stopFactory`(self)` This will be called before I stop listening on all Ports/Connectors. (inherited from `Factory`)

Class Variable Summary
`dict` | `headers`
`class` | `HTTPPageGetter`

Class Variable Details

### headers

  Type:
    `dict`
  Value:

        {}

### HTTPPageGetter

`HTTPPageGetter` = `twisted.web.client.HTTPPageGetter`

Generated by Epydoc 1.1 on Thu May 8 13:19:05 2003 | http://epydoc.sf.net